--MTG
if core.get_modpath("default") then
    core.register_craft({
        output = "shapetester:shape_stone",
        recipe = {
            {"default:diamondblock","default:stone","default:diamondblock"},
            {"default:stone","default:mese","default:stone"},
            {"default:diamondblock","default:stone","default:diamondblock"}
        }
    })
end

--[[ Voxelibre (Currently unsupported)
if core.get_modpath("mcl_core") and core.get_modpath("mesecons_torch")then
    core.register_craft({
        output = "shapetester:shape_stone",
        recipe = {
            {"mcl_core:diamondblock","mcl_core:stone","mcl_core:diamondblock"},
            {"mcl_core:stone","mesecons_torch:redstoneblock","mcl_core:stone"},
            {"mcl_core:diamondblock","mcl_core:stone","mcl_core:diamondblock"}
        }
    })
end

--Mineclonia (Currently unsupported)
if core.get_modpath("mcl_core") and core.get_modpath("mcl_redstone_torch")then
    core.register_craft({
        output = "shapetester:shape_stone",
        recipe = {
            {"mcl_core:diamondblock","mcl_core:stone","mcl_core:diamondblock"},
            {"mcl_core:stone","mcl_redstone_torch:redstoneblock","mcl_core:stone"},
            {"mcl_core:diamondblock","mcl_core:stone","mcl_core:diamondblock"}
        }
    })
end
--]]